Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfInstrumConfig

    java.lang.Object
      com.sun.mfwk.util.instrum.MfInstrumConfig

All Implemented Interfaces:
  MfInstrumConfigMBean

public class MfInstrumConfig
extends java.lang.Object
implements MfInstrumConfigMBean

MfInstrumConfig contains the configuration information related to instrumentation exposed for management.

Constructor Summary
`MfInstrumConfig()`

Method Summary
`java.lang.String` | `getAppDirectoryDN()` Get the directory DN of the application.
`java.lang.String` | `getAppRole()` Get the role of the application.
`java.lang.String` | `getAppURLDescription()` Get the URL Description of the application.
`void` | `setAppDirectoryDN(java.lang.String dn)` Set the directory DN of the application.
`void` | `setAppRole(java.lang.String role)` Set the role of the application.
`void` | `setAppURLDescription(java.lang.String desc)` Set the URL Description of the application.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfInstrumConfig

    public MfInstrumConfig()

Method Detail

### getAppRole

    public java.lang.String getAppRole()

  Get the role of the application.

  Specified by:
    `getAppRole` in interface `MfInstrumConfigMBean`

### getAppURLDescription

    public java.lang.String getAppURLDescription()

  Get the URL Description of the application.

  Specified by:
    `getAppURLDescription` in interface `MfInstrumConfigMBean`

### getAppDirectoryDN

    public java.lang.String getAppDirectoryDN()

  Get the directory DN of the application.

  Specified by:
    `getAppDirectoryDN` in interface `MfInstrumConfigMBean`

### setAppRole

    public void setAppRole(java.lang.String role)

  Set the role of the application.

### setAppURLDescription

    public void setAppURLDescription(java.lang.String desc)

  Set the URL Description of the application.

### setAppDirectoryDN

    public void setAppDirectoryDN(java.lang.String dn)

  Set the directory DN of the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD